public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexis Ballier" <aballier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ml/reactiveData/
Date: Wed,  7 Sep 2016 10:23:14 +0000 (UTC)	[thread overview]
Message-ID: <1473243790.fcf8e12653cb8867d025eecb9993a12b442d238a.aballier@gentoo> (raw)

commit:     fcf8e12653cb8867d025eecb9993a12b442d238a
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Wed Sep  7 10:23:03 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Wed Sep  7 10:23:10 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fcf8e126

dev-ml/reactiveData: add live ebuild

Package-Manager: portage-2.3.0

 dev-ml/reactiveData/reactiveData-9999.ebuild | 46 ++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

diff --git a/dev-ml/reactiveData/reactiveData-9999.ebuild b/dev-ml/reactiveData/reactiveData-9999.ebuild
new file mode 100644
index 00000000..59dac46
--- /dev/null
+++ b/dev-ml/reactiveData/reactiveData-9999.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+DESCRIPTION="Functional reactive programming with incremental changes in data structures"
+HOMEPAGE="https://github.com/ocsigen/reactiveData"
+
+if [ "${PV#9999}" != "${PV}" ] ; then
+	inherit git-r3
+	SRC_URI=""
+	EGIT_REPO_URI="https://github.com/ocsigen/reactiveData"
+	KEYWORDS=""
+else
+	SRC_URI="https://github.com/ocsigen/reactiveData/archive/${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64"
+fi
+
+LICENSE="LGPL-3-with-linking-exception"
+SLOT="0/${PV}"
+IUSE="+ocamlopt"
+
+RDEPEND=">=dev-lang/ocaml-3.12:=[ocamlopt?]
+	dev-ml/react:="
+DEPEND="${RDEPEND}
+	dev-ml/findlib
+	dev-ml/opam
+	dev-ml/ocamlbuild
+"
+
+src_compile() {
+	ocaml pkg/build.ml \
+		native=$(usex ocamlopt true false) \
+		native-dynlink=$(usex ocamlopt true false) \
+		|| die
+}
+
+src_install() {
+	opam-installer \
+		--prefix="${ED}/usr" \
+		--libdir="${D}/$(ocamlc -where)" \
+		--docdir="${ED}/usr/share/doc/${PF}" \
+		|| die
+	dodoc README.md
+}


             reply	other threads:[~2016-09-07 10:23 UTC|newest]

Thread overview: 10+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-09-07 10:23 Alexis Ballier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-04-21  2:10 [gentoo-commits] repo/gentoo:master commit in: dev-ml/reactiveData/ Sam James
2021-04-21  2:10 Sam James
2017-08-06 12:30 Alexis Ballier
2017-04-27 10:51 Alexis Ballier
2017-01-24 11:50 Alexis Ballier
2016-11-28 13:28 Alexis Ballier
2016-03-01 18:47 Alexis Ballier
2016-03-01 18:47 Alexis Ballier
2016-01-30 16:35 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1473243790.fcf8e12653cb8867d025eecb9993a12b442d238a.aballier@gentoo \
    --to=aballier@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox